[blfs-support] Possible Revision to Fontconfig-2.10.1 Build on Version 2012-11-03

MBW mbwebb at gmail.com
Sun Nov 4 21:42:50 PST 2012


Hello BLFSers,

I came across a minor muddy point whilst building Fontconfig-2.10.1.
The required dependencies are listed as " FreeType-2.4.10 and either
expat-2.1.0 or libxml2-2.9.0 ." If, however, I attempt to generate the
makefile using:

./configure --prefix=/usr \
            --sysconfdir=/etc \
            --localstatedir=/var \
            --docdir=/usr/share/doc/fontconfig-2.10.1 \
            --disable-docs \
            --disable-static

I receive an error that expat is not available.

For newbies like myself, it might be helpful to include in the section
labelled "Command Explanations" that if the "or" dependency is
satisfied with libxml, then the flag "--enable-libxml2" should  be
appended to the end of the configure command, i.e.:

./configure --prefix=/usr \
            --sysconfdir=/etc \
            --localstatedir=/var \
            --docdir=/usr/share/doc/fontconfig-2.10.1 \
            --disable-docs \
            --disable-static \
            --enable-libxml2

Just a Suggestion From a First-Timer,

MBW



More information about the blfs-support mailing list